
#cs

user inputs url of "2nd" result set

http://www.proz.com/?sp=mt&eid_s=13646&glossary=86533&nresults=26113&mt_term=&start=30

1. trim by 2 to get base url
2. split by "results=" (take #2), split by &, take #1, to get total results

#ce

MsgBox (0, "ProZGlossGetURLs v0.2", "Creates a list of URLs from ProZ.com's glossary search results.  Put the script in the same folder where you want the list to be saved.  For instructions, read the readme.txt file and look at the images.", 0)

$userinput = InputBox ("What is the URL of page 2 of the term search results?", "What is the URL of page 2 of the term search results?", "")

If NOT StringInStr ($userinput, "http://www.proz.com/?sp") Then
MsgBox (0, "No valid URL detected", "Could not detect valid URL in user input.  The URL should start with 'http://www.proz.com/?sp' and contain some numbers and stuff, and end on '=30'. Script will now exit without continuing.", 0)
Exit
EndIf

If FileExists (@ScriptDir & "\" & "urllist.txt") Then
MsgBox (0, "File 'urllist.txt' already exists", "File 'urllist.txt' already exists. Script will now exit without writing to the file.", 0)
Exit
EndIf

$baseurl = StringTrimRight ($userinput, 2)

$fortotal1 = StringSplit ($userinput, "results=", 1)
If @error = 1 Then
MsgBox (0, "No valid URL detected", "Could not detect valid URL in user input.  The URL should contain 'results=' and contain some numbers and stuff, and end on '=30'. Script will now exit without continuing.", 0)
Exit
EndIf

$fortotal2 = StringSplit ($fortotal1[2], "&", 1)
If @error = 1 Then
MsgBox (0, "No valid URL detected", "Could not detect valid URL in user input.  The URL should contain 'results=' followed by a number followed by an ampersand, and end on '=30'. Script will now exit without continuing.", 0)
Exit
EndIf

$total = $fortotal2[1]
$count = 0
$i = 0

$urllist = FileOpen ("urllist.txt", 129)

While $count < $total

$combinedurl = $baseurl & $count & @CRLF

FileWrite ($urllist, $combinedurl)

$count = $count + 30
$i = $i + 1
WEnd

MsgBox (0, "Done!", $i & " urls written to 'urllist.txt'.", 0)
